apt 3.2.0 commandline package manager

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OpTextProgress Class Reference
Inheritance diagram for OpTextProgress:

## Public Member Functions
void | Done () override
| OpTextProgress (bool NoUpdate=false)
| OpTextProgress (Configuration &Config)
Public Member Functions inherited from OpProgress
void | Progress (unsigned long long Current)
void | SubProgress (unsigned long long SubTotal, const std::string &Op="", float const Percent=-1)
void | OverallProgress (unsigned long long Current, unsigned long long Total, unsigned long long Size, const std::string &Op)

## Protected Member Functions
void | Update () override
void | Write (const char *S)
Protected Member Functions inherited from OpProgress
bool | CheckChange (float Interval=0.7)

## Protected Attributes
std::string | OldOp
bool | NoUpdate
bool | NoDisplay
unsigned long | LastLen
Protected Attributes inherited from OpProgress
std::string | Op
std::string | SubOp
float | Percent
bool | MajorChange

## Member Function Documentation

## ◆ Done()

void Done | ( |  | ) |
| override virtual

Todo
  apt-cdrom relies on this end of line being printed

Reimplemented from OpProgress.

## ◆ Update()

void Update | ( |  | ) |
| override protected virtual

Reimplemented from OpProgress.

The documentation for this class was generated from the following files:

- apt-pkg/contrib/progress.h
- apt-pkg/contrib/progress.cc